package com.njcn.mapper.user;

import com.njcn.pojo.user.Role;
import com.njcn.pojo.user.RoleGroup;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface RoleGroupMapper extends Mapper<RoleGroup> {
	//增
	int insertRole(RoleGroup role);
	//删
	int deleteRole(RoleGroup role);
	//改
	int updateRole(RoleGroup role);
	//查询Id
	RoleGroup selectRoleIndex(String roleIndex);
	List<Role> getRoleName(@Param("roleGpIndex") String roleGpIndex,@Param("sysType") String sysType,@Param("list") List<String> list);

	List<RoleGroup>  selectAllName(@Param("roleDescription")List<String>  roleDescription);
	void deleteByGpIndex(@Param("roleGpIndex") String roleGpIndex,@Param("sysType") String sysType);
	void addASS(@Param("userIndex") String userIndex, @Param("index") String index,@Param("sysType")String sysType);

    List<RoleGroup> getAllManagerRoleGroup(@Param("roleGroupNames")List<String> managerRolegroup);
}
